Verify if an address belongs to a wallet
This endpoint verifies whether a given address belongs to the specified wallet. It performs cryptographic verification, checking address derivation against wallet keychains and configuration.
Returns true if the address belongs to the wallet.
Throws an error if verification fails or parameters are invalid.
To verify a baseAddress, set baseAddress and address to the base address of the wallet.
Due to architecture limitations, forwarder version 0 addresses cannot be verified and will return true without verification.
Verifying custodial wallet addresses is not supported.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
walletIdstring requiredThe wallet ID.
Body Params
object
-
addressstring requiredThe address to verify -
keychainsarray of objects requiredkeychains object
-
pubstring required -
ethAddressstringEthereum address (required for V1, V2, V4 ETH wallets base address verification) -
commonKeychainstringCommon keychain (required for wallets version 3, 5, 6)
-
-
baseAddressstringBase address of the wallet (wallet.coinSpecific.baseAddress) -
walletVersionnumberWallet version (wallet.coinSpecific.walletVersion) -
indexnumber or stringAddress derivation index For Base Address verification, set index to 0 -
coinSpecificobjectCoin-specific address datacoinSpecific object
-
baseAddressstringBase address (wallet.coinSpecific.baseAddress) -
feeAddressstringFee address for v4 forwarders (wallet.coinSpecific.feeAddress) -
forwarderVersionnumberForwarder version (address.coinSpecific.forwarderVersion, required for forwarder addresses only) -
saltstringSalt for address derivation ForwarderAddress: address.coinSpecific.salt BaseAddress: wallet.coinSpecific.salt
-
-
impliedForwarderVersionnumberImplied forwarder version -
formatstringFormat for the address -
rootAddressstringRoot address for coins that use root address
Responses
200
OK
Response Body
boolean
400
Bad Request
Response Body
ONE OF
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code
500
Addresss Verification Failure
Response Body
ONE OF
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code